import type { WidgetSchema } from '../types/widget-schema';
declare class SchemaRegistry {
    private registry;
    constructor();
    addWidget(groupName: string, widgetName: string, widget: WidgetSchema): void;
    getWidget(groupName: string, widgetName: string): WidgetSchema | undefined;
    getGroup(groupName: string): Record<string, WidgetSchema> | undefined;
    clear(): void;
}
export declare const schemaRegistry: SchemaRegistry;
export {};
